import Service from '../lib/service.js'
import axios from 'axios'
import Config from '../config'

class SystemService extends Service {
  constructor() {
    super()
    axios.defaults.baseURL = Config.Host85
  }
  //cid详细信息real
  async cidRealSingle(params = {}) {
    return await this.post('/custom/search/real/single', params)
  }

  //真实用户列表all
  async realCustomerListAll(params = {}) {
    return await this.post('/custom/login/search/custom/list', params)
  }
  //ibno详细信息
  async pIbNoRealSingle(params = {}) {
    return await this.post('/ib/search/ib/single', params)
  }
  //用户文件审核
  async customFileApprove(params = {}) {
    return await this.post('/custom/file/approve', params)
  }
  //反审核
  async customFileApproveDe(params = {}) {
    return await this.post('/custom/file/de/approve', params)
  }
  //根据条件查看拒绝列表-用于下拉和选择展示理由
  async reasonsRefusalList(params = {}) {
    return await this.post('/reasons/refusal/list', params)
  }
}
export default new SystemService()
